## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iAwsDockableWindow Struct Reference

Document me! @@. More...

`#include <iaws/awsdock.h>`

Inheritance diagram for iAwsDockableWindow:

[legend]
List of all members.

## Public Member Functions

virtual iAwsDockSite * | GetDockSite ()=0
| Returns the current dock site, or 0 if the window is floating.

## Detailed Description

Document me! @@.

Definition at line 64 of file awsdock.h.

## Member Function Documentation

virtual iAwsDockSite* iAwsDockableWindow::GetDockSite | ( |  | ) | `[pure virtual]`

| Returns the current dock site, or 0 if the window is floating.

The documentation for this struct was generated from the following file:

- iaws/awsdock.h